Get file by ID.
Return file details and processing status by ID.
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Path Parameters
Identifier of the file resource in Payrails.
Response
Success.
File ID of the uploaded file.
Current processing status of the file.
LinkCreated, LinkExpired, Processing, Available, Imported, ImportedWithErrors, Failed Dataset type.
transactions, transactionsV1, ordersV1, checkout.reports.financial_actions_by_daterange, checkout.reports.payments, checkout.reports.authentication, adyen.reports.payments_accounting, adyen.reports.received_payments Percentage of rows processed (0-100).
0 <= x <= 100Presigned URL to upload the file. Present only when status is LinkCreated.
Expiration time for uploadURL. Present only when status is LinkCreated.
Total number of errors during processing.
List of errors encountered while validating or processing the file.